Bug 1117964 - [RFE] Support downloading and storing docker images in pulp
Summary: [RFE] Support downloading and storing docker images in pulp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On: 1145716
Blocks: sat6-pulp-future 1043927
TreeView+ depends on / blocked
 
Reported: 2014-07-09 17:32 UTC by james labocki
Modified: 2017-02-23 21:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1145716 (view as bug list)
Environment:
Last Closed: 2015-08-12 05:10:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description james labocki 2014-07-09 17:32:23 UTC
This is a request to support downloading, storing, and lifecycle management of docker images.

Comment 1 RHEL Product and Program Management 2014-07-09 17:34:09 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Mike McCune 2014-12-17 17:51:24 UTC
This is available in Katello's upstream nightly builds.  Not ready for production but the general feature is ready for eyes on the feature.

Comment 6 Kedar Bidarkar 2015-02-13 11:03:33 UTC
Creating docker repo, syncing docker repos, publishing and promoting of docker repos was all successful.

VERIFIED With sat6.1-Beta-SNAP1

Comment 7 Kedar Bidarkar 2015-02-13 11:05:52 UTC
NOTE: This feature at-least works with the WEBUI

Comment 8 Bryan Kearney 2015-08-11 13:20:24 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:10:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.